Move the iterator forward

- « LimitIterator::key

- LimitIterator::rewind »

- PHP Manual
- LimitIterator
- Move the iterator forward

# LimitIterator::next

(PHP 5 >= 5.1.0, PHP 7, PHP 8)

LimitIterator::next — Move the iterator forward

### Description

public LimitIterator::next(): void

Moves the iterator forward.

### Parameters

This function has no parameters.

### Return Values

No value is returned.

### See Also

- LimitIterator::current() - Get current element
- LimitIterator::key() - Get current key
- LimitIterator::rewind() - Rewind the iterator to the specified starting offset
- LimitIterator::seek() - Seek to the given position
- LimitIterator::valid() - Check whether the current element is valid